# -------------- read options -------------

readZIBFormat=1
readOldFormat=0
readHyperFormat=0

file=hexagon.geo

# ------------------------------------------
spaceDim=2

problem=staticHeatConduction	
material=DefaultMaterial
DirichletBCs=ConstDirichletBCs

globalpre=1e-3

# ------ class Linear System ------

extPrecFactor=1.0		# manipulate requested precision for 
				# iterative solvers

linSolver=cg			# CG, CGOdir, CROdir, CROmin, 
				# Relaxation, gmres, lsqCG, 
				# cgs, bicgstab, stdbicg

maxOrthoGMRes=12		# max. no. of orthogonalized vectors in GMRES

preConditioner=MGsgs		# jacobi sgs ssor HB none
				# MGsgs MGjacobi AMGjacobi AMGsgs
				# MLsgs MLjacobi AMLjacobi bpx AMLsgs
				# SLjacobi SLsgs SLssor

convergenceTest=residual	# residual ccgDD  ci  decayOfResidual
printCCGError=0			# print error estimated by CCG

# omega=1.0			# relaxation parameter for ssor / jacobi
				#    preconditioners/solvers


Level0directSolverLimit=10000	# direct solver will be called on 
				#          level 0 up to 10000 nodes
directSolverLimit=0		# direct solver will be active on all
				#          levels up to 0 nodes


# ------------- class MG ------------

nPreSmooth=1			# no of pre-smoothing steps in multigrid
nPostSmooth=1

LocalSmooth=1		# local multigrid
LocalOnTop=1		# local smoothing of top-level matrix
LocalExtend=1		# extend smoothing pattern (=1: new nodes + neighbours)

MGNodeProgFactor=2.0		


# ------ class ErrorEstimator ------

errorEstimator=DLY		# DLY  ModDLY EFDLY
refStrategy=extraPolation      	# refinement strategy 
				# (maxValue uniform maxValue random)
minRefRatio=0.05		# elements marked for refinement: at least 5 %

factResolve=0.1

maxRefSteps=50			# max. no. of adaptive refinement steps in solve
minRefSteps=0			# max. no. of adaptive refinement steps in solve


# ------------ graphics -------------
graphics=1			# graphics on
				     
plotSolution=1


plotKeep=0			# keep all plots in separate windows
plotSize=0.4			# size of plot window
plotLevels=10			# desired no. of iso-lines in result

plotTriangleNodes=0
plotPointNodes=0
plotNoElements=0


plot3d=0  
scaleX=1  scaleY=1  scaleZ=1	# parameters for quasi-3d plots

# -------------- write options -------------

writeSolution=0

postscript=0			# postscript output
writeAVSFormat=0		# write output file for AVS   (3D only)
writeGrapeFormat=0		# write output file for grape (3D only)
writeHyperFormat=0
writeZIBFormat=1


# -------------- infos -------------

# info				# all info's together

				# linear solver
infoAb=0			# general info about linear system 
infoPrecond=0			# info about preconditioner
infoMG=0			# special info about multi-grid preconditioners

InfoRefinement=1		# mesh: info levels ranging from 0 to 2 
infoLinSystem=25		# print each 25th iteration of iterative 
InfoErrorEstimator=1
InfoSolution=1			# solution step in solve

pause

